Jump to content
Sign in to follow this  
UgoPellegrino

updating from firmware 2.12

Recommended Posts

Where can I find the older editor?

 

I am not sure the Helix LT had a 2.12 firmware. Does anyone know what version of firmware the LT was initially released at?

 

Are you sure you don't have the "2.21" firmware rather than the "2.12" firmware?  If you have the 2.21 firmware you can go directly to HX Edit 2.30. Download and install HX Edit 2.30 and do a backup before you do a firmware upgrade if you want to retain any IRs or presets. You can find the HX Edit 2.30 software on the Line6 downoad page. http://line6.com/software/

 

If you are having problems locating the software let me know whether you are using Windows or Mac and I can post the direct link for the required software.

Share this post


Link to post
Share on other sites

I would think if you just bought it you wouldn't need to backup the presets. Update following the upgrade process linked by @AlexKenivel. The instructions will restore globals including default presets?

 

edit: I couldn't find the 2.12 version either including trying 'archived'

Share this post


Link to post
Share on other sites

I am not sure the Helix LT had a 2.12 firmware. Does anyone know what version of firmware the LT was initially released at?

.....

The first public release of Helix LT firmware was v2.20 according to the Downloads page.

 

@UgoPellegrino - It seems your LT with v2.12.2 was delivered to you with a beta the first post-beta production version of the firmware installed. I don't know what the compatible version of the Helix editor is; it too was likely a beta release that you will not be able to access. As saks suggests since your LT is brand new (at least to you) you probably don't need to back anything up before updating to v2.30 following the posted directions.

 

If you really do want to save some custom presets before updating I would open a support ticket and work directly with Line 6 tech support.

 

 

 

EDIT: Correction re: version of installed firmware. Also, the compatible version of the Helix editor program was v2.11 as indicated by Hilpatajutaa below.

Share this post


Link to post
Share on other sites

Unfortunately my firmware versione is 2.12.2

I tried to connect the Helix to my Mac with the Editor v2.30 and it says that the firmware is too old..

 

Guess that answers that question regarding the 2.12 firmware version. So... since you just got your LT yesterday and probably are not too concerned about saving your presets I would do the following. You will have to do two firmware upgrades. The first one firmware upgrade will get you to a high enough version to allow the final upgrade to the 2.30 firmware.

 

  1. Upgrade to the HX Edit 2.21 software. The OS X version can be downloaded here: http://line6.com/software/readeula.html?rid=7445  Install the software after downloading.
  2. Now use the Line 6 Updater you just unpacked to upgrade to the 2.21 firmware. Follow the firmware instructions especially the part about doing the global reset (FS 9&10). 
  3. Now download and unpack HX Edit 2.30. You can find the OS X version here: http://line6.com/software/readeula.html?rid=7883
  4. You should now be able to use the latest Line6 Updater to upgrade the firmware 2.30. I would run the global reset (FS 9&10) one more time after the firmware upgrade just to be thorough. Then reboot one last time to allow all the presets to rebuild.

Going forward you should be able to backup and restore normally using the new HX Edit 2.30 editor as well as be able to upgrade to future firmware versions.

Share this post


Link to post
Share on other sites

I found the v2.30 update instructions that refer to firmware v2.12.2. Follow the instructions in Blue text. You only need to perform one update, not two.

http://line6.com/support/topic/18284-latest-helix-firmware-230%E2%80%94nov-21-2017/

 

However I think you still won't be able to create a backup of existing presets because I expect you will be unable to find the Helix editor v2.12 that is referenced in Step 2 of the instructions. I can't find it in the Downloads area. This also renders Steps 6 and 7 irrelevant.

Share this post


Link to post
Share on other sites

Updated Helix LT from 2.12 to 2.3 maybe a bit over a week ago. If I remember correctly, then Helix Editor v2.11 worked when I was doing backup.

Share this post


Link to post
Share on other sites

I found the v2.30 update instructions that refer to firmware v2.12.2. Follow the instructions in Blue text. You only need to perform one update, not two.

http://line6.com/support/topic/18284-latest-helix-firmware-230%E2%80%94nov-21-2017/

 

However I think you still won't be able to create a backup of existing presets because I expect you will be unable to find the Helix editor v2.12 that is referenced in Step 2 of the instructions. I can't find it in the Downloads area. This also renders Steps 6 and 7 irrelevant.

 

I do believe silverhead is correct. If you don't require backups you should be able to eliminate the first firmware update I suggested and follow the instructions he referenced instead to go directly to the 2.30 firmware. After that HX Edit 2.30 should work correctly.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×